> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Import Jobs

> A `POST` to the `/imports/{importId}/jobs/batch.json` endpoint allows your application to queue multiple jobs for processing.



## OpenAPI

````yaml post /v3/imports/{import}/jobs/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/imports/{import}/jobs/batch.json:
    post:
      tags:
        - Import Job
      summary: Batch Import Jobs
      description: >-
        A `POST` to the `/imports/{importId}/jobs/batch.json` endpoint allows
        your application to queue multiple jobs for processing.
      operationId: importJob.batchJson
      parameters:
        - name: import
          in: path
          required: true
          description: The import ID
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchImportJobJson'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    const: Queued for processing.
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchImportJobJson:
      type: object
      properties:
        jobs:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                enum:
                  - SUCCESS
                  - FAILED
                  - PENDING
                  - PROCESSING
              handler:
                type: string
              data:
                type: array
                items:
                  type: string
                minItems: 1
              result:
                type:
                  - array
                  - 'null'
                items:
                  type: string
            required:
              - status
              - handler
              - data
          minItems: 1
      required:
        - jobs
      title: BatchImportJobJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````